#ifndef MAIN_H
#define MAIN_H

#ifdef  MAIN_H_MAIN_FILE
#define	MAIN_H_EXT
#else
#define	MAIN_H_EXT	extern
#endif


//#include "stdafx.h"
#include "auxiliary.h"
#include "it700Driver.h"
#include "uart.h"
#include "NLManager.h"
#include "state_machine.h"
//#include "SerialConfig.h"



#define	PING_timeout	360000	//a cada 60min = 3600s/10ms timer = 360000



//**************************
//define estruturas de FLAGS 
struct	_FLAGS
{
	BOOL temporizadorX_permissao;			//dah permissao ao TemporizadorX trabalhar
	BOOL temporizadorX_terminado;			//TemporizadorX acabou a contagem

	BOOL service_type;	//pacotes 1=ACK - 0=UNACK

	//tipo de transmissao
	BOOL	INTRANETWORKING_BROADCAST;
	BOOL	INTRANETWORKING_UNICAST_SA;
	BOOL	INTRANETWORKING_UNICAST_OVER_SN;
	BOOL	INTERNETWORKING_BROADCAST;
	BOOL	INTERNETWORKING_UNICAST;

	//prioridade da transmissao
	BOOL	Normal;
	BOOL	High;
	BOOL	Emergency;

	//estados para a configuracao inicial
	BOOL	configura_inicial;
	BOOL	conf_ini_ADMISSION_AUTO;
	BOOL	conf_ini_OPERATION_MODE_NC;
	BOOL	conf_ini_OPERATION_MODE_RS;
	BOOL	conf_ini_CONNECTION_MODE_AUTO;
	BOOL	conf_ini_REGIONS_CENELEC_A;
	BOOL	conf_ini_RESET_SW;
	BOOL	conf_ini_GO_ONLINE;
	BOOL	conf_ini_SaveParameters;
	BOOL	conf_ini_SET_NETWORK_ID;
	BOOL	conf_ini_FORCE_SET_NETWORK_ID;
	BOOL	pedido_SN;
	BOOL	pedido_NETWORK_ID;
	
	//envio de PING keep-alive
	BOOL	send_Ping;
	
	//
	BOOL	enviado_pacote_Info;

	//indicao de que o Timeout de RX de IR estoirou
	BOOL	IR_Rx_Timeout;

};	
extern struct	_FLAGS	FLAGS;




#endif // end MAIN_H
